Snoze Developers
API referenceData sources

List

GET
/v1/workspaces/{workspaceId}/data-sources
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/string/data-sources"
{  "data": [    {      "id": "string",      "workspaceId": "string",      "itemId": "string",      "key": "string",      "label": "string",      "kind": "http",      "enabled": true,      "status": "idle",      "config": {        "http": {          "url": "string",          "method": "GET",          "headers": {            "property1": "string",            "property2": "string"          },          "query": {            "property1": "string",            "property2": "string"          },          "body": "string",          "rowsPath": "string"        },        "file": {          "fileId": "string",          "format": "csv",          "delimiter": "string",          "hasHeader": true        },        "provider": {          "connectionId": "string",          "externalType": "string",          "parentExternalId": "string",          "query": "string",          "selector": {}        },        "externalIdPath": "string",        "titleFieldKey": "string",        "syncMode": "mirror",        "fields": [          {            "sourcePath": "string",            "fieldKey": "string",            "label": "string",            "kind": "text"          }        ]      },      "connectionId": "string",      "targetDatabaseId": "string",      "refreshIntervalMinutes": 0,      "nextRunAt": "string",      "lastRunAt": "string",      "consecutiveFailures": 0,      "createdAt": "string",      "updatedAt": "string"    }  ]}